Subject: Re: [bug#36555] [PATCH v4 3/3] tests: Add reconfigure system test.

From: [email-masked] (Jakob L. Kreuze)
Date: Tue, 23 Jul 2019 20:01:19 -0400

Ludovic Courtès <[email-masked]> writes:

> I think you didn’t answer this specific question; thoughts?

I had a peek at your more recent email, and think you dug up (and
commented on) my handling of it, but I'll link [1] just in case.

> The number of ‘build-derivations’ calls is the same whether it’s local
> or distant.
>
> What would make a difference is having a single script instead of
> three—i.e., one program that does:
>
>   #~(begin
>       (activate-system …)
>       (upgrade-services …)
>       (switch-system …))
>
> I think this program could even be added to the ‘system’
> derivation—i.e., as a file next to those in /run/current-system.
>
> That way, switching to a system generation would be a matter of running
> it’s ‘switch’ program.
>
> Perhaps this should be our horizon.  WDYT?

I'm a fan of that idea. Having it as a file means we would be able to
run activation services on a roll-back. I've added this to my to-do list
of patches :)

Regards,
Jakob

[1]: https://lists.gnu.org/archive/html/guix-patches/2019-07/msg00656.html